[Qa-jenkins-scm] [jenkins.debian.net] 01/01: update_jdn: use dpkg-query instead of grepping dpkg -l output
Holger Levsen
holger at layer-acht.org
Thu Mar 30 16:00:29 UTC 2017
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 79c4c28f25c71ce9147530e16a11b3e7230d4b79
Author: Mattia Rizzolo <mattia at debian.org>
Date: Thu Mar 30 17:40:16 2017 +0200
update_jdn: use dpkg-query instead of grepping dpkg -l output
Signed-off-by: Mattia Rizzolo <mattia at debian.org>
Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
update_jdn.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/update_jdn.sh b/update_jdn.sh
index 0ca153d..aa0216c 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -487,7 +487,7 @@ if [ -f /etc/debian_version ] ; then
$UP2DATE || ( sudo cp --preserve=mode,timestamps -r hosts/$HOSTNAME/etc/apt/sources.list /etc/apt ; sudo apt-get update )
$UP2DATE || sudo apt-get install $DEBS $MASTERDEBS
# dont (re-)install pbuilder if it's on hold
- if [ ! -n "$(dpkg -l pbuilder | egrep '^hi.*pbuilder')" ] ; then
+ if [ $(dpkg-query -W -f='${db:Status-Abbrev}\n' pbuilder) != hi ] ; then
case $HOSTNAME in
codethink*) $UP2DATE || sudo apt-get install -t jessie-backports pbuilder
;;
@@ -497,7 +497,7 @@ if [ -f /etc/debian_version ] ; then
esac
fi
# remove unattended-upgrades if it's installed
- if [ -n "$(dpkg -l unattended-upgrades 2>/dev/null|egrep 'ii.*unattended-upgrades')" ] ; then
+ if [ $(dpkg-query -W -f='${db:Status-Abbrev}\n' unattended-upgrades 2>/dev/null || true) = ii ] ; then
sudo apt-get -y purge unattended-upgrades
fi
# we need mock from bpo to build current fedora
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list